.auth {
    background-color: var(--bg);
}

.auth__grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    min-height: 100vh;
}

.auth-main {
    padding: var(--gap-l);
    overflow: hidden;
}

.auth-main__inner {
    display: flex;
    flex-direction: column;
    max-width: 400px;
    width: 100%;
    height: min(550px, calc(100vh - 2 * var(--gap-l)));
}

.auth-main__top {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.auth-logo {
    display: flex;
    align-items: center;
    margin-bottom: calc(var(--gap-l) * 2);
}

.auth-logo__icon {
    --s: 30px;

    margin-right: var(--gap-s);
    background-color: var(--text);
    mask-image: url("/img/common/logo.svg");
    -webkit-mask-image: url("/img/common/logo.svg");
}

.auth-logo__text {
    font-size: 20px;
    line-height: 1;
    font-weight: 700;
}

.auth-lang {
    position: relative;
}

.auth-lang__button {
    background-color: transparent;
    border: 0;
}

.auth-lang__current,
.auth-lang__item > span {
    --s: 20px;
    
    width: var(--s);
    height: var(--s);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 50%;
    border: 1px solid var(--gray);
}

.auth-lang__button[data-language="ru"] .auth-lang__current,
.auth-lang__item[data-language="ru"] > span {
    background-image: url("/img/flags/ru.svg");
}

.auth-lang__button[data-language="en"] .auth-lang__current,
.auth-lang__item[data-language="en"] > span {
    background-image: url("/img/flags/us.svg");
}

.auth-lang__body {
    position: absolute;
    display: none;
    flex-direction: column;
    padding: 10px 6px 6px;
    font: var(--f-s);
    right: 0;
    top: 28px;
    box-shadow: var(--light-shadow);
    background-color: var(--bg);
    border-radius: 5px;
    z-index: 2;
}

.auth-lang._active .auth-lang__body {
    display: flex;
}

.auth-lang__text {
    padding: 0 4px;
    margin-bottom: var(--gap);
    color: var(--text50);
}

.auth-lang__item {
    display: flex;
    align-items: center;
    min-width: 153px;
    padding: 4px 7px;
    background-color: transparent;
    border-radius: 5px;
    border: 0;
}

.auth-lang__item._active {
    background-color: var(--body);
}

.auth-lang__item:not(:last-child) {
    margin-bottom: 3px;
}

.auth-lang__item > span {
    flex-shrink: 0;
    margin-right: 9px;
}

.auth-main__header {
    margin-bottom: calc(var(--gap-l) * 1.5);
}

.auth-main__title {
    margin-bottom: var(--gap-s);
    font-size: 30px;
    line-height: 1;
    font-weight: 700;
}

.auth-main__slides {
    position: relative;
    display: flex;
    flex: 1;
    flex-direction: column;
    margin-bottom: var(--gap);
}

.auth-main__slide {
    position: absolute;
    display: flex;
    flex: 1;
    flex-direction: column;
    max-width: 400px;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    transition: all .2s;
}

.auth-main__slide._prev {
    transform: translateX(-250%);
    opacity: 0;
}

.auth-main__slide._next {
    transform: translateX(250%);
    opacity: 0;
}

.auth-main__slide-body {
    display: flex;
    flex-direction: column;
}

.auth-main__slide-body .input-label + .input-label {
    margin-top: var(--gap);
}

.auth-main__options {
    display: flex;
    flex-direction: column;
}

.auth-main__options-button {
    display: flex;
    align-items: center;
    width: 100%;
    height: 50px;
    padding: 0 var(--gap);
    background-color: transparent;
    border-radius: 8px;
    border: 1px solid var(--text15);
    transition: border-color .2s;
}

.auth-main__options-button:not(:last-child) {
    margin-bottom: var(--gap);
}

.auth-main__options-button > span:first-child {
    --s: 30px;

    flex-shrink: 0;
    width: var(--s);
    height: var(--s);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.auth-main__options-button[data-type="ya"] > span:first-child {
    background-color: #ED1E24;
    mask-image: url("/img/auth/ya-icon.svg");
    -webkit-mask-image: url("/img/auth/ya-icon.svg");
}

.auth-main__options-button[data-type="google"] > span:first-child {
    background-image: url("/img/auth/google-icon.svg");
}

.auth-main__options-button[data-type="hh"] > span:first-child {
    background-image: url("/img/auth/hh-icon.svg");
}

.auth-main__options-button[data-type="vk"] > span:first-child {
    background-image: url("/img/auth/vk-icon.svg");
}

.auth-main__options-button[data-type="email"] > span:first-child {
    background-color: var(--primary);
    mask-image: url("/img/auth/mail-icon.svg");
    -webkit-mask-image: url("/img/auth/mail-icon.svg");
}

.auth-main__options-button > span:last-child {
    flex: 1;
    text-align: center;
}

.auth-main__link {
    margin-top: auto;
}

.auth-main__link-text > a {
    color: var(--primary);
    cursor: pointer;
}

.auth-main__forgot {
    margin-top: var(--gap);
    font: var(--f-s);
    opacity: .5;
    transition: opacity .2s;
    cursor: pointer;
}

.auth-main__error {
    display: none;
    margin-top: var(--gap);
    font: var(--f-s);
    color: var(--red);
}

.auth-main__error._active {
    display: block;
}

.auth-main__login-footer,
.auth-main__reg-footer {
    display: flex;
    margin-top: auto;
}

.auth-main__button {
    width: 170px;
}

.auth-main__login-cancel,
.auth-main__reg-cancel {
    background-color: var(--body);
    color: var(--text50);
}

.auth-main__login-cancel + .auth-main__login-submit,
.auth-main__reg-cancel + .auth-main__reg-submit {
    margin-left: var(--gap);
}

.auth-main__list {
    position: relative;
}

.auth-main__list-inner {
    max-height: 285px;
    overflow-y: auto;
}

.auth-main__list::before,
.auth-main__list::after {
    position: absolute;
    width: 100%;
    height: 60px;
    left: 0;
    top: 0;
    background: linear-gradient(to bottom, var(--bg), rgba(0, 0, 0, 0));
    z-index: 2;
    pointer-events: none;
    content: "";
    opacity: 0;
    transition: opacity .2s;
}

.auth-main__list::after {
    background: linear-gradient(to top, var(--bg), rgba(0, 0, 0, 0));
    left: 0;
    bottom: 0;
    top: unset;
}

.auth-main__list._top::after,
.auth-main__list._in-scroll::after,
.auth-main__list._bottom::before,
.auth-main__list._in-scroll::before {
    opacity: 1;
}

.auth-main__platform {
    display: flex;
    align-items: center;
    width: 100%;
    height: 60px;
    background-color: transparent;
    border-radius: 8px;
    border: 1px solid var(--text15);
    transition: border-color .2s;
    text-align: left;
    cursor: pointer;
}

.auth-main__platform:not(:last-child) {
    margin-bottom: var(--gap);
}

.auth-main__platform._error {
    border-color: var(--red15);
}

.auth-main__platform-inner {
    display: flex;
    flex: 1;
    align-items: center;
    padding-left: 8px;
}

.auth-main__platform-image {
    --s: 42px;

    flex-shrink: 0;
    width: var(--s);
    height: var(--s);
    margin-right: var(--gap);
    border-radius: 50%;
    object-fit: cover;
}

.auth-main__platform-name {
    margin-bottom: 4px;
    font-weight: 600;
}

.auth-main__platform-link {
    font: var(--f-s);
    color: var(--text50);
}

.auth-main__platform-error {
    flex-shrink: 0;
    width: 44px;
}

.auth-main__platform-error > span {
    --s: 20px;

    background-color: var(--red);
    mask-image: url("/img/common/warning-circle.svg");
    -webkit-mask-image: url("/img/common/warning-circle.svg");
}

.auth-main__platform-hint {
    position: fixed;
    transform: translate(calc(-50% + 10px), calc(-100% - 10px));
}

.auth-main__platform-hint[data-type="expired"] {
    width: 165px;
    height: 44px;
}

.auth-main__platform-hint._active {
    opacity: 1;
    visibility: visible;
}

.auth-main__reg-title {
    margin-bottom: var(--gap);
}

.auth-main__recovery {
    position: relative;
    display: flex;
    flex: 1;
    flex-direction: column;
    margin-bottom: var(--gap);
}

.auth-main__recovery-caption {
    display: none;
    margin-top: var(--gap);
    font: var(--f-s);
    color: var(--green);
}

.auth-main__recovery._success .auth-main__recovery-caption {
    display: block;
}

.auth-main__recovery-footer {
    display: flex;
    margin-top: auto;
}

.auth-main__recovery-button {
    width: 170px;
}

.auth-main__recovery._success .auth-main__recovery-button {
    display: none;
}

.auth-main__recovery-cancel {
    margin-right: var(--gap);
    background-color: var(--body);
    color: var(--text50);
}

.auth-main__recovery-success {
    display: none;
    width: 230px;
}

.auth-main__recovery._success .auth-main__recovery-success {
    display: flex;
}

.auth-main__reg-row {
    display: flex;
    margin-bottom: var(--gap);
}

.auth-main__reg-row .input-label + .input-label {
    margin-left: var(--gap);
    margin-top: 0;
}

.auth-main__phone {
    display: flex;
}

.auth-main__phone-wrapper {
    position: relative;
    flex-shrink: 0;
    margin-right: var(--gap);
}

.auth-main__phone-button {
    width: 90px;
    height: 50px;
    background-color: transparent;
    border-radius: 8px;
    border: 1px solid var(--text15);
    text-align: center;
}

.auth-main__phone-button > span,
.auth-main__phone-country > span {
    flex-shrink: 0;
    width: 19px;
    height: 18px;
    margin-right: 9px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.auth-main__phone-button[data-country="am"] > span,
.auth-main__phone-country[data-country="am"] > span {
    background-image: url("/img/flags/am.svg");
}

.auth-main__phone-button[data-country="by"] > span,
.auth-main__phone-country[data-country="by"] > span {
    background-image: url("/img/flags/by.svg");
}

.auth-main__phone-button[data-country="gb"] > span,
.auth-main__phone-country[data-country="gb"] > span {
    background-image: url("/img/flags/gb.svg");
}

.auth-main__phone-button[data-country="de"] > span,
.auth-main__phone-country[data-country="de"] > span {
    background-image: url("/img/flags/de.svg");
}

.auth-main__phone-button[data-country="ge"] > span,
.auth-main__phone-country[data-country="ge"] > span {
    background-image: url("/img/flags/ge.svg");
}

.auth-main__phone-button[data-country="es"] > span,
.auth-main__phone-country[data-country="es"] > span {
    background-image: url("/img/flags/es.svg");
}

.auth-main__phone-button[data-country="it"] > span,
.auth-main__phone-country[data-country="it"] > span {
    background-image: url("/img/flags/it.svg");
}

.auth-main__phone-button[data-country="kz"] > span,
.auth-main__phone-country[data-country="kz"] > span {
    background-image: url("/img/flags/kz.svg");
}

.auth-main__phone-button[data-country="ca"] > span,
.auth-main__phone-country[data-country="ca"] > span {
    background-image: url("/img/flags/ca.svg");
}

.auth-main__phone-button[data-country="cn"] > span,
.auth-main__phone-country[data-country="cn"] > span {
    background-image: url("/img/flags/cn.svg");
}

.auth-main__phone-button[data-country="mx"] > span,
.auth-main__phone-country[data-country="mx"] > span {
    background-image: url("/img/flags/mx.svg");
}

.auth-main__phone-button[data-country="ru"] > span,
.auth-main__phone-country[data-country="ru"] > span {
    background-image: url("/img/flags/ru.svg");
}

.auth-main__phone-button[data-country="us"] > span,
.auth-main__phone-country[data-country="us"] > span {
    background-image: url("/img/flags/us.svg");
}

.auth-main__phone-button[data-country="tr"] > span,
.auth-main__phone-country[data-country="tr"] > span {
    background-image: url("/img/flags/tr.svg");
}

.auth-main__phone-button[data-country="fr"] > span,
.auth-main__phone-country[data-country="fr"] > span {
    background-image: url("/img/flags/fr.svg");
}

.auth-main__phone-button[data-country="jp"] > span,
.auth-main__phone-country[data-country="jp"] > span {
    background-image: url("/img/flags/jp.svg");
}

.auth-main__phone-button::after {
    content: attr(data-code);
}

.auth-main__phone .input-label {
    flex: 1;
}

.auth-main__phone-body {
    position: absolute;
    display: none;
    flex-direction: column;
    width: 172px;
    max-height: 141px;
    padding: 6px;
    top: calc(100% + var(--gap-s));
    background-color: var(--bg);
    border-radius: 8px;
    border: 1px solid var(--text15);
    overflow: auto;
    z-index: 5;
}

.auth-main__phone-wrapper._active .auth-main__phone-body {
    display: flex;
}

.auth-main__phone-label {
    margin-bottom: var(--gap-s);
}

.auth-main__phone-input {
    width: 100%;
    padding: 0 4px;
    background-color: transparent;
    border: 0;
}

.auth-main__phone-country {
    display: flex;
    align-items: center;
    padding: 4px 4px 6px;
    background-color: transparent;
    color: var(--text50);
    border-radius: 5px;
    border: 0;
    text-align: left;
}

.auth-main__phone-country:not(:last-child) {
    margin-bottom: 2px;
}

.auth-main__phone-country._active {
    background-color: var(--body);
}

.auth-main__phone-empty {
    display: none;
}

.auth-main__phone-body._empty .auth-main__phone-empty {
    display: block;
}

.auth-main__checkbox {
    margin-top: var(--gap);
    font: var(--f-s);
}

.auth-main__checkbox-input {
    margin-right: var(--gap-s);
}

.auth-main__checkbox-caption > a {
    font-weight: 500;
}

.auth-side {
    position: relative;
    padding: var(--gap-l);
    background: var(--auth-bg-color);
    display: grid;
    align-items: center;
    overflow: hidden;
}

body._dark .auth-side {
    background: none;
}

.auth-side::before,
.auth-side::after {
    --s: 60%;

    position: absolute;
    width: var(--s);
    height: var(--s);
    left: 0;
    bottom: 0;
    transform: translate(-25%, 25%);
    background-color: var(--auth-item-color);
    border-radius: 50%;
    filter: blur(100px);
    animation: authSideScaleBefore 10s infinite linear;
    content: "";
}

.auth-side::after {
    left: unset;
    right: 0;
    bottom: unset;
    top: 0;
    transform: translate(25%, -25%);
    animation: authSideScaleAfter 10s infinite linear;
    animation-delay: 5s;
}

.auth-side__slider-wrapper {
    z-index: 1;
    position: relative;
    transform: scale(0.7);
    opacity: 0;
    transition: opacity .5s ease, transform .5s ease;
}

.auth-side__slider-wrapper._active {
    transform: scale(1);
    opacity: 1;
}

.auth-side__slider {
    position: relative;
    z-index: 1;
    width: 80%;
    max-width: 450px;
    height: 150px;
    margin: 0 auto;
}

.auth-side__slide {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: #FAFBFF;
    border-radius: 20px;
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-gap: 10px;
    box-shadow: 0 4px 60px 0 rgba(51, 51, 51, 0.35);
    transition: transform .3s ease-in-out, opacity .4s ease;
    overflow: hidden;
}

.auth-side__slide._active,
.auth-side__slide._next,
.auth-side__slide._prev {
    opacity: 1;
}

.auth-side__slide._active {
    z-index: 3;
    transform: translateY(0) scale(1);
}

.auth-side__slide._prev {
    z-index: 2;
    transform: translateY(-100%) scale(0.85);
}

.auth-side__slide._next {
    z-index: 1;
    transform: translateY(100%) scale(0.85);
}

.auth-side__slide._inactive {
    z-index: 0;
    transform: translateY(0) scale(0.6);
    opacity: 0;
}

.auth-side__slide-info {
    padding: 30px 0 30px 24px;
    line-height: 1.15;
    color: #333333;
}

.auth-side__slide-title,
.auth-side__slide-text {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.auth-side__slide-title {
    margin-bottom: 10px;
    font-size: clamp(1rem, 0.1724rem + 1.7241vw, 1.25rem);
    font-weight: 500;
    -webkit-line-clamp: 1;
}

.auth-side__slide-text {
    font-size: clamp(0.75rem, -0.0776rem + 1.7241vw, 1rem);
    -webkit-line-clamp: 3;
}

.auth-side__slide-img {
    background-image: url(https://pprod.edler.pro/uploads/content/1992_848b2201deedad6b5868a267182b5008.png);
    background-size: contain;
    background-position: bottom right;
    background-repeat: no-repeat;
}

.auth-side__slide:nth-child(1) .auth-side__slide-img {
    background-image: url(https://pprod.edler.pro/uploads/content/1992_f892d8b8ed93cd8b82c1c60209253855.png);
}

@keyframes authSideScaleBefore {
    from {
        transform: translate(-25%, 25%) scale(1);
    }

    50% {
        transform: translate(-25%, 25%) scale(1.5);
    }

    to {
        transform: translate(-25%, 25%) scale(1);
    }
}

@keyframes authSideScaleAfter {
    from {
        transform: translate(25%, -25%) scale(1);
    }

    50% {
        transform: translate(25%, -25%) scale(1.5);
    }

    to {
        transform: translate(25%, -25%) scale(1);
    }
}
    
@keyframes authSideSwipe {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-200%);
    }
}

@media not all and (hover: none) {
    .auth-main__options-button:hover,
    .auth-main__platform:not(._error):hover {
        border-color: var(--primary50);
    }
    
    body._dark .auth-main__options-button:hover,
    body._dark .auth-main__platform:not(._error):hover {
        border-color: var(--text50);
    }

    .auth-main__forgot:hover {
        opacity: 1;
    }
    
    .auth-main__phone-country:hover {
        background-color: var(--body);
    }
}

@media (max-width: 768px) {
    .auth__grid {
        display: flex;
        flex-direction: column;
    }
    .auth-main,
    .auth-side {
        min-height: 100vh;
    }
    .auth-main {
        order: 2;
    }
    .auth-main__inner,
    .auth-main__slide {
        max-width: 508px;
    }
    .auth-side {
        display: none;
        width: 100vw;
        transition: transform  .2s 2s;
    }
    .auth._reg .auth-side {
        position: absolute;
        display: block;
        animation: authSideSwipe .5s 2s forwards;
        z-index: 5;
    }
}

@media (max-width: 720px) {
    .auth-main__platform-hint {
        transform: translate(calc(-100% + 30px), calc(-100% - 10px))
    }
    .auth-main__platform-hint .hint__inner::after,
    .auth-main__platform-hint .hint__shadow::after {
        right: 18px;
    }
}